package com.capgemini.reports.reports.parameters;

import java.io.Serializable;

/**
 * This class carries a Product and both a Generic and a Generic Assemb below, for comparison.<br>
 * This class is able to present a design vue or an assembly view.
 * 
 */
public class DualGenerics implements Serializable {

    private static final long serialVersionUID = -2761749803279516469L;

    private final Generics generic;
    private final Generics genericAssemb;

    /**
     * Construct object contain generic and genericAssemb and productUnit.
     * 
     * @param productUnit a {@link ProductUnit}
     * @param genericID a Generic ID
     * @param genericAssembID a Generic Assemb ID
     */
    public DualGenerics(final ProductUnit productUnit, final String genericID, final String genericAssembID) {
        super();
        this.generic = new Generics(productUnit, genericID, "");
        this.genericAssemb = new Generics(productUnit, "", genericAssembID);

    }

    /**
     * Return generic view.
     * 
     * @return generic
     */
    public Generics asGeneric() {
        return generic;
    }

    /**
     * Return genericAssemb view.
     * 
     * @return genericAssemb
     */
    public Generics asGenericAssemb() {
        return genericAssemb;
    }


}
